From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/alsa-tools/
Date: Tue, 15 Apr 2025 01:04:15 +0000 (UTC) [thread overview]
Message-ID: <1744678717.74788af10120e7d52faf5ab70f9da211f5ae8be3.sam@gentoo> (raw)
commit: 74788af10120e7d52faf5ab70f9da211f5ae8be3
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 15 00:58:37 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 15 00:58:37 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74788af1
media-sound/alsa-tools: add 1.2.14
Note that per https://github.com/alsa-project/alsa-tools/pull/27#issuecomment-2780612254,
there's still some need for gtk+:2, so the dep remains both gtk+:2 and gtk+:3.
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-sound/alsa-tools/Manifest | 1 +
media-sound/alsa-tools/alsa-tools-1.2.14.ebuild | 157 ++++++++++++++++++++++++
2 files changed, 158 insertions(+)
diff --git a/media-sound/alsa-tools/Manifest b/media-sound/alsa-tools/Manifest
index d597e506d72f..d3d351bc0cbb 100644
--- a/media-sound/alsa-tools/Manifest
+++ b/media-sound/alsa-tools/Manifest
@@ -1 +1,2 @@
DIST alsa-tools-1.2.11.tar.bz2 1882262 BLAKE2B 2c429cb0dceb1dcb186578e2109a1b3b6eece7ba5e8e1c6de14cc5e2f37ecc947469247e95fb894bb1171fa490deb000405135ec82e822d0fc24bf5c920ec724 SHA512 b5a29a83121a637eaa16d225875feeabaea893eabc61b97d0c18a5852d851ff2e6932bd732786bb43525b410c2bb9185261cc4509fd3ee5fd8536557f12b2154
+DIST alsa-tools-1.2.14.tar.bz2 1962787 BLAKE2B e1afda4a4b6f6b1b3c0ab27e7f7bb211f85036c8f874c3f627e7454a7f52777aae68cb07ca05c62c5a12488eeedc062a11290786ee2bfcfe62d72f4ff5f87f51 SHA512 36996eb19c590f3f8deb5831ef4e4a9016578e42172901dd97ebe78a4c6fc14e8d84d8f6639cc37d2db91c1d73727226cf1a5d952c586cfc909768377b04e8c7
diff --git a/media-sound/alsa-tools/alsa-tools-1.2.14.ebuild b/media-sound/alsa-tools/alsa-tools-1.2.14.ebuild
new file mode 100644
index 000000000000..68eab45b81e0
--- /dev/null
+++ b/media-sound/alsa-tools/alsa-tools-1.2.14.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic libtool xdg
+
+DESCRIPTION="Advanced Linux Sound Architecture tools"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+SRC_URI="https://www.alsa-project.org/files/pub/tools/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0.9"
+KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="fltk gtk alsa_cards_hdsp alsa_cards_hdspm alsa_cards_mixart
+alsa_cards_vx222 alsa_cards_usb-usx2y alsa_cards_sb16 alsa_cards_sbawe
+alsa_cards_emu10k1 alsa_cards_emu10k1x alsa_cards_ice1712
+alsa_cards_rme32 alsa_cards_rme96 alsa_cards_sscape alsa_cards_pcxhr"
+
+# bug #468294
+DEPEND="
+ >=media-libs/alsa-lib-${PV}
+ >=dev-python/pyalsa-1.0.26
+ fltk? ( x11-libs/fltk:1= )
+ gtk? (
+ dev-libs/gobject-introspection
+ x11-libs/gtk+:2
+ x11-libs/gtk+:3
+ )
+"
+# bug #456114
+RDEPEND="
+ ${DEPEND}
+ gtk? ( media-fonts/font-misc-misc )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/envy24control-config-dir.patch
+)
+
+pkg_setup() {
+ ALSA_TOOLS=(
+ seq/sbiload
+ us428control
+ hwmixvolume
+ hda-verb
+ $(usev alsa_cards_mixart mixartloader)
+ $(usev alsa_cards_vx222 vxloader)
+ $(usev alsa_cards_usb-usx2y usx2yloader)
+ $(usev alsa_cards_pcxhr pcxhrloader)
+ $(usev alsa_cards_sscape sscape_ctl)
+ )
+
+ if use gtk; then
+ ALSA_TOOLS+=(
+ echomixer
+ hdajackretask
+ $(usev alsa_cards_ice1712 envy24control)
+ )
+ # Perhaps a typo the following && logic?
+ if use alsa_cards_rme32 && use alsa_cards_rme96 ; then
+ ALSA_TOOLS+=( rmedigicontrol )
+ fi
+ fi
+
+ if use alsa_cards_hdsp || use alsa_cards_hdspm ; then
+ ALSA_TOOLS+=(
+ hdsploader
+ $(usev fltk 'hdspconf hdspmixer')
+ )
+ fi
+
+ if use alsa_cards_sb16 || use alsa_cards_sbawe ; then
+ ALSA_TOOLS+=( sb16_csp )
+ fi
+
+ if use alsa_cards_emu10k1 || use alsa_cards_emu10k1x; then
+ ALSA_TOOLS+=( as10k1 ld10k1 )
+ fi
+}
+
+src_prepare() {
+ default
+
+ # This block only deals with the tools that still use GTK and the
+ # AM_PATH_GTK macro.
+ for dir in echomixer envy24control rmedigicontrol; do
+ has "${dir}" "${ALSA_TOOLS[*]}" || continue
+ pushd "${dir}" &> /dev/null || die
+ eautoreconf
+ popd &> /dev/null || die
+ done
+
+ # This block deals with the tools that are being patched
+ for dir in hdspconf; do
+ has "${dir}" "${ALSA_TOOLS[*]}" || continue
+ pushd "${dir}" &> /dev/null || die
+ eautoreconf
+ popd &> /dev/null || die
+ done
+
+ elibtoolize
+}
+
+src_configure() {
+ if use fltk; then
+ # hdspmixer requires fltk
+ append-ldflags "-L$(dirname $(fltk-config --libs))"
+ append-flags "-I$(fltk-config --includedir)"
+ fi
+
+ local f
+ for f in ${ALSA_TOOLS[@]} ; do
+ cd "${S}/${f}" || die
+ case "${f}" in
+ echomixer,envy24control,rmedigicontrol )
+ econf --with-gtk2
+ ;;
+ * )
+ econf
+ ;;
+ esac
+ done
+}
+
+src_compile() {
+ local f
+ for f in ${ALSA_TOOLS[@]} ; do
+ emake -C "${S}/${f}"
+ done
+}
+
+src_install() {
+ local f
+ for f in ${ALSA_TOOLS[@]} ; do
+ # Install the main stuff
+ cd "${S}/${f}" || die
+ # hotplugdir is for usx2yloader/Makefile.am
+ emake DESTDIR="${D}" hotplugdir=/lib/firmware install
+
+ # Install the text documentation
+ local doc
+ for doc in README TODO ChangeLog AUTHORS; do
+ if [[ -f "${doc}" ]]; then
+ mv "${doc}" "${doc}.$(basename ${f})" || die
+ dodoc "${doc}.$(basename ${f})"
+ fi
+ done
+ done
+
+ # Punt at least /usr/lib/liblo10k1.la (last checked, 1.0.27)
+ find "${ED}" -type f -name '*.la' -delete || die
+}
next reply other threads:[~2025-04-15 1:04 UTC|newest]
Thread overview: 62+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-04-15 1:04 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-26 17:50 [gentoo-commits] repo/gentoo:master commit in: media-sound/alsa-tools/ Ionen Wolkens
2024-04-24 14:41 Sam James
2024-04-24 14:30 Sam James
2024-04-24 14:30 Sam James
2024-04-24 14:22 Sam James
2024-04-24 14:22 Sam James
2024-02-17 6:42 Sam James
2024-02-17 6:40 Sam James
2024-01-28 17:35 Matt Turner
2023-08-02 15:11 Sam James
2023-08-01 7:48 Sam James
2023-07-24 20:33 Jakov Smolić
2023-07-24 20:33 Jakov Smolić
2023-07-24 20:33 Jakov Smolić
2022-07-29 2:54 Sam James
2022-06-01 7:21 Lars Wendler
2022-04-25 20:20 Arthur Zamarin
2022-04-24 6:34 Agostino Sarubbo
2022-04-24 6:30 Agostino Sarubbo
2022-04-22 17:31 Arthur Zamarin
2022-04-21 18:48 Arthur Zamarin
2021-09-10 15:05 Yixun Lan
2021-06-16 17:17 Lars Wendler
2021-06-05 20:09 Lars Wendler
2020-06-02 12:13 Andreas Sturmlechner
2020-05-06 7:18 Sergei Trofimovich
2020-05-06 7:01 Sergei Trofimovich
2020-05-05 21:15 Sergei Trofimovich
2020-05-04 15:51 Mikle Kolyada
2020-05-04 6:43 Agostino Sarubbo
2020-05-02 12:11 Andreas Sturmlechner
2020-05-02 12:11 Andreas Sturmlechner
2020-02-20 15:49 Lars Wendler
2020-02-20 15:49 Lars Wendler
2019-12-09 18:27 Sergei Trofimovich
2019-10-12 23:50 Matt Turner
2019-09-30 6:59 Michał Górny
2019-08-28 7:22 Sergei Trofimovich
2019-08-28 6:54 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-07-31 17:44 Sergei Trofimovich
2019-04-24 21:33 Thomas Deutschmann
2019-03-25 22:04 Sergei Trofimovich
2019-03-23 17:11 Mikle Kolyada
2019-01-12 23:29 Sergei Trofimovich
2018-11-07 23:28 Sergei Trofimovich
2018-10-18 11:45 Tobias Klausmann
2018-10-17 12:07 Thomas Deutschmann
2018-10-17 10:25 Mikle Kolyada
2018-10-17 9:23 Lars Wendler
2018-10-17 9:23 Lars Wendler
2018-04-04 9:02 Lars Wendler
2018-04-04 8:46 Lars Wendler
2018-03-02 18:09 Michał Górny
2017-11-15 17:40 Lars Wendler
2017-05-18 11:44 Lars Wendler
2016-12-22 10:51 Lars Wendler
2016-12-18 16:30 Agostino Sarubbo
2016-12-18 16:25 Agostino Sarubbo
2016-03-31 20:36 Lars Wendler
2015-12-01 18:14 Tony Vroon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1744678717.74788af10120e7d52faf5ab70f9da211f5ae8be3.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox